org.apache.ignite.internal.portable

## Class PortableObjectEx

- java.lang.Object
- - org.apache.ignite.internal.portable.PortableObjectEx

All Implemented Interfaces:
  Serializable, Cloneable, PortableObject

Direct Known Subclasses:
  PortableObjectImpl, PortableObjectOffheapImpl

    public abstract class PortableObjectEx
    extends Object
    implements PortableObject

Internal portable object interface.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PortableObjectEx()`

### Method Summary

Methods
`abstract byte[]` `array()`
`PortableObject` `clone()` Copies this portable object.
`boolean` `equals(Object other)`
`protected abstract <F> F` `field(org.apache.ignite.internal.portable.PortableReaderContext ctx, String fieldName)`
`protected abstract boolean` `hasArray()`
`abstract int` `length()`
`abstract long` `offheapAddress()`
`abstract int` `start()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.portable.api.PortableObject

`deserialize, field, hasField, metaData, typeId`

### Constructor Detail

#### PortableObjectEx

    public PortableObjectEx()

### Method Detail

#### length

    public abstract int length()

Returns:
  Length.

#### start

    public abstract int start()

Returns:
  Object start.

#### hasArray

    protected abstract boolean hasArray()

Returns:
  `True` if object is array based.

#### array

    public abstract byte[] array()

Returns:
  Object array if object is array based, otherwise `null`.

#### offheapAddress

    public abstract long offheapAddress()

Returns:
  Object offheap address is object is offheap based, otherwise 0.

#### field

    @Nullable
    protected abstract <F> F field(org.apache.ignite.internal.portable.PortableReaderContext ctx,
                       String fieldName)

Parameters:
  `ctx` - Reader context.
  `fieldName` - Field name.
Returns:
  Field name.

#### clone

    public PortableObject clone()
                         throws CloneNotSupportedException

Copies this portable object.

Specified by:
  `clone` in interface `PortableObject`
Overrides:
  `clone` in class `Object`
Returns:
  Copy of this portable object.
Throws:
  `CloneNotSupportedException`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015